# Uses of Class
org.eclipse.gef.zest.fx.parts.EdgePart

Packages that use EdgePart
Package
Description
org.eclipse.gef.zest.fx.behaviors
This package provides behaviors for transferring information between graph model elements and layout abstractions ( `GraphLayoutBehavior`, `AbstractLayoutBehavior`, `NodeLayoutBehavior`, `EdgeLayoutBehavior`), as well as hiding/unhiding of nodes and related edges ( `AbstractHidingBehavior`, `NodeHidingBehavior`, `EdgeHidingBehavior`, `EdgeLabelHidingBehavior`).
org.eclipse.gef.zest.fx.handlers
This package provides handler implementations for Zest interactions.

## Uses of EdgePart in org.eclipse.gef.zest.fx.behaviors

Methods in org.eclipse.gef.zest.fx.behaviors that return EdgePart
Modifier and Type
Method
Description
`EdgePart`
EdgeHidingBehavior.`getHost()`
`EdgePart`
EdgeLayoutBehavior.`getHost()`

## Uses of EdgePart in org.eclipse.gef.zest.fx.handlers

Methods in org.eclipse.gef.zest.fx.handlers with parameters of type EdgePart
Modifier and Type
Method
Description
`protected List<AbstractLabelPart>`
LabelOffsetSupport.`getEdgeLabelParts(EdgePart edgePart)`
Returns the `AbstractLabelPart`s attached to the given `EdgePart`.